ESP32 HTTPS Server

Public Member Functions | List of all members
httpsserver::ResourceResolver Class Reference

This class is used internally to resolve a string URL to the corresponding HTTPNode. More...

`#include <ResourceResolver.hpp>`

Inheritance diagram for httpsserver::ResourceResolver:
[legend]

## Public Member Functions
void | registerNode (HTTPNode *node)
void | unregisterNode (HTTPNode *node)
void | setDefaultNode (HTTPNode *node)
void | resolveNode (const std::string &method, const std::string &url, ResolvedResource &resolvedResource, HTTPNodeType nodeType)
void | addMiddleware (const HTTPSMiddlewareFunction *mwFunction)
void | removeMiddleware (const HTTPSMiddlewareFunction *mwFunction)
const std::vector< HTTPSMiddlewareFunction * > | getMiddleware ()

## Detailed Description

This class is used internally to resolve a string URL to the corresponding HTTPNode.

## Member Function Documentation

## ◆ addMiddleware()

void httpsserver::ResourceResolver::addMiddleware | ( | const HTTPSMiddlewareFunction * | mwFunction | ) |

Add a middleware function to the end of the middleware function chain. See HTTPSMiddlewareFunction.hpp for details.

## ◆ getMiddleware()

const std::vector< HTTPSMiddlewareFunction * > httpsserver::ResourceResolver::getMiddleware | ( |  | ) |

Get the current middleware chain with a resource function at the end

## ◆ registerNode()

void httpsserver::ResourceResolver::registerNode | ( | HTTPNode * | node | ) |

This method will register the HTTPSNode so it is reachable and its callback gets called for a request

## ◆ removeMiddleware()

void httpsserver::ResourceResolver::removeMiddleware | ( | const HTTPSMiddlewareFunction * | mwFunction | ) |

Remove a specific function from the middleware function chain.

## ◆ unregisterNode()

void httpsserver::ResourceResolver::unregisterNode | ( | HTTPNode * | node | ) |

This method can be used to deactivate a HTTPSNode that has been registered previously

The documentation for this class was generated from the following files:

- /home/frank/Projekte/esp32/https_server/esp32_https_server/src/ResourceResolver.hpp
- /home/frank/Projekte/esp32/https_server/esp32_https_server/src/ResourceResolver.cpp